View Issue Details

IDProjectCategoryView StatusLast Update
0000987КонфигурацияGeneralpublic2020-02-11 18:57
Reporterruslan Assigned Tobarry  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionreopened 
Summary0000987: +Конфигурация-Пользователи -закладка Операции2 - добавить права на утверждение Изделия в справочнике Изделия
DescriptionДобавить права "Утверждено Изделия" на работу с флагом Утверждено в справочнике Изделия/Нормы.
TagsNo tags attached.

Relationships

related to 0000989 assignedbarry Справочники +Справочники-Производство-Изделия/Нормы - добавить в карточку изделия - флаг Утверждено. 
related to 0000988 assignedbarry Конфигурация +Конфигурация-Пользователи -закладка Операции2 - добавить права на изменение утвержденных изделий. 

Activities

ruslan

2017-03-30 10:36

manager   ~0002692

контролировать право "Редактирование утвержденных изделий", флаг "Утверждено" при обновлении изделий из окна Изделия в Заказе(Обновить изделия в Справочнике).

barry

2017-04-04 11:02

administrator   ~0002693

Если право на Утверждение не обозначает автоматического редактирования, то наверное лучше утверждение сделать отдельной командой, без захода в окно редактирования?

barry

2017-04-04 11:21

administrator   ~0002694

work32.zip

ruslan

2017-04-04 14:29

manager   ~0002695

>>Если право на Утверждение не обозначает автоматического редактирования, то наверное лучше утверждение сделать отдельной командой, без захода в окно редактирования?
Да, давай так

ruslan

2017-04-10 13:47

manager   ~0002696

Last edited: 2017-04-10 13:48

View 2 revisions

При установке флага Утверждено в справочнике Изделий и сохранения карточки изделия возникает ошибка...
Произошла ошибка:
Dynamic SQL Error
SQL error code = -104
Token unknown - line 1, column 66
SCRDATETIME

Производство
Application.MainForm: FormWork(TFormWork) XE2 Производство: Тест (ГОЛОВКО ЧП) [АЛЕКСЕЕНКО В.Н.]
ActiveForm: FormHbMnTree(TFormHbMnTree) Изделия
ActiveCustomForm: FormHbMnTree(TFormHbMnTree) Изделия
Qw.SQL.Text = <<
update workmain set USERNAME=:USERNAME, SCRMODDATETIME=CURRENT_TIMESTAMP SCRDATETIME=NULL, SCRUSERID=NULL WHERE ID=:ID and SCRDATETIME IS NOT NULL
>>
Данные заносятся в базу(при повторном открытии карточки установлен пользователь Утверждено и Время/Дата)

barry

2018-01-12 00:41

administrator   ~0003130

?

barry

2020-02-11 18:57

administrator   ~0004296

work32.zip

Issue History

Date Modified Username Field Change
2016-12-08 16:35 ruslan New Issue
2016-12-08 16:49 ruslan Description Updated View Revisions
2016-12-08 17:07 ruslan Relationship added related to 0000989
2017-03-28 18:46 barry Relationship added related to 0000988
2017-03-29 18:47 barry Status new => resolved
2017-03-29 18:47 barry Resolution open => fixed
2017-03-29 18:47 barry Assigned To => barry
2017-03-30 10:36 ruslan Note Added: 0002692
2017-03-30 10:36 ruslan Status resolved => feedback
2017-03-30 10:36 ruslan Resolution fixed => reopened
2017-04-04 11:02 barry Note Added: 0002693
2017-04-04 11:21 barry Note Added: 0002694
2017-04-04 14:29 ruslan Note Added: 0002695
2017-04-04 14:29 ruslan Status feedback => assigned
2017-04-10 13:47 ruslan Note Added: 0002696
2017-04-10 13:47 ruslan Status assigned => feedback
2017-04-10 13:48 ruslan Note Edited: 0002696 View Revisions
2018-01-12 00:41 barry Note Added: 0003130
2020-02-11 16:59 barry Status feedback => resolved
2020-02-11 18:57 barry Note Added: 0004296